Subject: Re: [net-next V3 PATCH 3/5] bpf: cpumap xdp_buff to skb conversion and allocation

From: Jesper Dangaard Brouer <[email-masked]>
Date: Tue, 3 Oct 2017 16:18:46 +0200

On Tue, 3 Oct 2017 08:58:43 +0200
Jesper Dangaard Brouer <[email-masked]> wrote:

> > But that prog can do cpumap redirect again?
> > sort-of recursive redirect? Is it really useful?
> > May be call into __netif_receive_skb_core() directly?
> > not sure.  
> 
> I like the idea of calling  __netif_receive_skb_core() directly.  I'll
> send a V4 (after running my different benchmarks).

Using __netif_receive_skb_core() was straight forward/easy.

But I realized I had forgotten about Generic-XDP, which I also need to
code up.  And with Generic-XDP we cannot invoke netif_receive_skb(),
because it would recursively invoke itself (which you actually point out
above, thx).  I'll send a V4 out tomorrow.

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer